Differences between revisions 2 and 9 (spanning 7 versions)
Revision 2 as of 2018-12-17 00:57:52
Size: 541
Editor: DavidBremner
Comment:
Revision 9 as of 2018-12-19 19:21:30
Size: 885
Editor: SeanWhitton
Comment: add supercollider
Deletions are marked like this. Additions are marked like this.
Line 3: Line 3:
* Mailutils. Should we build-depend on mailutils?  * Mailutils. Should we build-depend on mailutils?
Line 5: Line 5:
* Package compatibility. We need to check that not too many packages are broken  * Package compatibility. We need to check that not too many packages are broken
Line 10: Line 10:
- org-iswitchb seems to have gone away with the upgrade to 26.1. Not completely sure how that happened. Maybe I was using the built org only for that one function. org-switchb seems an acceptable substitute. The renaming is a minor annoyance for compatibility [[DavidBremner]]  * org-iswitchb seems to have gone away with the upgrade to 26.1. Not completely sure how that happened. Maybe I was using the built org only for that one function. org-switchb seems an acceptable substitute. The renaming is a minor annoyance for compatibility [[DavidBremner]]

 * [[https://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=emacs26-ftbfs;users=debian-emacsen@lists.debian.org|FTBFS bugs]]

 * Following reverse-deps were not tested as not buildable atm: lintian, acl2, urweb, supercollider

 * The dependency bounds are too loose; you can install 'emacs' 26.1 and 'emacs-nox' 25.2 right now; rlb to fix

This page tracks work/issues on getting emacs 26 into Buster

  • Mailutils. Should we build-depend on mailutils?
  • Package compatibility. We need to check that not too many packages are broken
    • by emacs 26, and file appropriate bugs.

Known Issues

  • org-iswitchb seems to have gone away with the upgrade to 26.1. Not completely sure how that happened. Maybe I was using the built org only for that one function. org-switchb seems an acceptable substitute. The renaming is a minor annoyance for compatibility DavidBremner

  • FTBFS bugs

  • Following reverse-deps were not tested as not buildable atm: lintian, acl2, urweb, supercollider
  • The dependency bounds are too loose; you can install 'emacs' 26.1 and 'emacs-nox' 25.2 right now; rlb to fix